/*
*
* Copyright (c) 2005 Sun Microsystems, Inc.
* All rights reserved.
* You may not modify, use, reproduce, or distribute this software except in compliance with the terms
* of the License at: http://developer.sun.com/berkeley_license.html
* Author : Sameer Tyagi, Sun Microsystems s.t@sun.com
* "Realizing Strategies for Document-Based Web Services With JAX-WS 2.0"
*  http://java.sun.com/developer/technicalArticles/xml/jaxrpcpatterns
*/

package com.examples.docliteral;

import java.rmi.RemoteException;
import java.util.Date;

	
	
@javax.jws.WebService
public class PurchaseOrderService {

    public PurchaseOrderStatus acceptPO(PurchaseOrder order) throws POProcessingProblem {
        //validate PO, make sure all required info is provided.
        if (order == null) {
            throw new POProcessingProblem("Web Service was passed a null Purchase order");
        } else if (order.getItems() == null ||
                order.getPoID() == null ||
                order.getBillTo() == null) {
            throw new POProcessingProblem("Purcahse order cannot have null fields");
        }

        System.out.println("PurchaseOrder received in the web service");
        System.out.println("Order ID " + order.getPoID());
        System.out.println("Order creation date " + order.getCreateDate());
        System.out.println("Ship To Address " + order.getShipTo());
        System.out.println("Bill To Address " + order.getBillTo());
        System.out.println("Order Contents :");
        LineItem[] items = order.getItems();
        for (int i = 0; i < items.length; i++)
            System.out.println(items[i]);

        PurchaseOrderStatus status = new PurchaseOrderStatus();
        status.setTimestamp(new Date().toString());
        status.setOrderid("ABC" + System.currentTimeMillis());
        return status;
    }


}
